std::ranges::take_while_view::take_while_view(3)

NAME
std::ranges::take_while_view::take_while_view - std::ranges::take_while_view::take_while_view

Synopsis
   take_while_view() requires std::default_initializable<V> && (1) (since C++20)
   std::default_initializable<Pred> = default;
   constexpr take_while_view( V base, Pred pred ); (2) (since C++20)
   Constructs a take_while_view.
   1) Default constructor. Value-initializes the underlying view and the predicate.
   2) Move constructs the underlying view from base and the predicate from pred.

Parameters
   base - underlying view
   fun - predicate

Example
    This section is incomplete
    Reason: no example
  Defect reports
   The following behavior-changing defect reports were applied retroactively to
   previously published C++ standards.
     DR Applied to Behavior as published Correct behavior
                      if Pred is not default_initializable,
   P2325R3 C++20 the default constructor the take_while_view is also
                      constructs a take_while_view which not default_initializable
                      does not contain an Pred